commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Luc Maisonobe <Luc.Maison...@free.fr>
Subject Re: [PROPOSAL][nabla] proposal and start code are available in subversion repository
Date Tue, 15 Apr 2008 18:53:01 GMT
Niall Pemberton wrote:

> the current code requires Java 1.6 to build.

Yes, I missed that, thanks for reporting it.

The reason is that several methods have been introduced in Math and 
StrictMath as of java 6 (nextAfter, nextUp, scalb, copysign) and I use 
some of them to implement their derivative.

I have to find a way to either find a way to use an alternative 
implementation and support them regardless of the version of java used 
to build [nabla] itself, or use conditional compilation (using profiles 
activated by jdk version in maven2) to include support for these 
functions for derivatives only if they are available in the version of 
java used to build [nabla].

Luc


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message